Skip to content
Start here

Generate summary of Transcripts for the session

realtime_kit.sessions.generate_summary_of_transcripts(strsession_id, SessionGenerateSummaryOfTranscriptsParams**kwargs)
POST/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Trigger Summary generation of Transcripts for the session ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
session_id: str

Generate summary of Transcripts for the session

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.realtime_kit.sessions.generate_summary_of_transcripts(
    session_id="session_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
Returns Examples